BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Types | Public Member Functions | List of all members
CluE::DiscreteBoundedSpace< VectorType, size_space > Class Template Referenceabstract

Interface to extend a template type to provide discrete (bounded) space {0, ..., n-1}^d features. More...

`#include <discreteboundedspace.h>`

Collaboration diagram for CluE::DiscreteBoundedSpace< VectorType, size_space >:

## Public Types
typedef VectorType | V

## Public Member Functions
virtual DiscreteBoundedSpace < V, size_space > * | clone () const =0
virtual V | getVector (std::vector< size_space > coordinates) const =0
| Returns the vector represented by the given coordinates. More...
virtual std::vector< size_space > | getCoordinates (V const &vector) const =0
| Returns the coordinates of the given vector. More...
virtual size_t | dimension () const =0
| Space dimension. More...
virtual size_space | n () const =0
| Number of discrete coordinates per dimension. More...
virtual size_space | uBound () const
| Upper bound = n-1. More...
virtual VectorType | origin () const =0
| Returns the space's origin. More...

## Detailed Description

### template<typename VectorType, typename size_space>
class CluE::DiscreteBoundedSpace< VectorType, size_space >

Interface to extend a template type to provide discrete (bounded) space {0, ..., n-1}^d features.

Definition at line 12 of file discreteboundedspace.h.

## Member Typedef Documentation

template<typename VectorType , typename size_space >

typedef VectorType CluE::DiscreteBoundedSpace< VectorType, size_space >::V

Definition at line 15 of file discreteboundedspace.h.

## Member Function Documentation

template<typename VectorType , typename size_space >

virtual DiscreteBoundedSpace<V, size_space>* CluE::DiscreteBoundedSpace< VectorType, size_space >::clone | ( |  | ) | const
| pure virtual

template<typename VectorType , typename size_space >

virtual V CluE::DiscreteBoundedSpace< VectorType, size_space >::getVector | ( | std::vector< size_space > | coordinates | ) | const
| pure virtual

Returns the vector represented by the given coordinates.

template<typename VectorType , typename size_space >

virtual std::vector<size_space> CluE::DiscreteBoundedSpace< VectorType, size_space >::getCoordinates | ( | V const & | vector | ) | const
| pure virtual

Returns the coordinates of the given vector.

template<typename VectorType , typename size_space >

virtual size_t CluE::DiscreteBoundedSpace< VectorType, size_space >::dimension | ( |  | ) | const
| pure virtual

Space dimension.

template<typename VectorType , typename size_space >

virtual size_space CluE::DiscreteBoundedSpace< VectorType, size_space >::n | ( |  | ) | const
| pure virtual

Number of discrete coordinates per dimension.

template<typename VectorType , typename size_space >

virtual size_space CluE::DiscreteBoundedSpace< VectorType, size_space >::uBound | ( |  | ) | const
| inline virtual

Upper bound = n-1.

Definition at line 42 of file discreteboundedspace.h.

template<typename VectorType , typename size_space >

virtual VectorType CluE::DiscreteBoundedSpace< VectorType, size_space >::origin | ( |  | ) | const
| pure virtual

Returns the space's origin.

The documentation for this class was generated from the following file:

- src/base/discreteboundedspace.h